class SGradeParsing{

    private static int getGradeValue(String input){
	int val = Integer.parseInt(input);
	return val;
    }

    private static String getGradeName(String input) 
    {
	int grade = getGradeValue(input);
	switch(grade){
	case 5: return "\"Mycket väl godkänd\"";
	case 4: return "\"Väl godjänd\"";
	default: return "\"Godkänd\"";
	}
    }

    public static void main(String[] args) {
	String errorMsg= "Translates numerical grade\nSyntax: GradeParsing x\nwhere x is a natural number between 3 and 5";
	if(args.length != 1){
	    System.out.println(errorMsg);
	}else{
	    System.out.println("The grade " + args[0] + " corresponds to " + getGradeName(args[0]));
	}
    }
}
