public class VCounterDeep implements Cloneable {
    private Value content;

    public VCounterDeep(){
	content = new Value();
    }

    public void increment(){
	content.add(1);
    }

    public VCounterDeep clone(){
	try {
	    VCounterDeep result = (VCounterDeep) super.clone();
	    result.content = content.clone();
	    return result;
	} catch (CloneNotSupportedException e) {
	    e.printStackTrace();
	    throw new RuntimeException();
	}
    }

    public String toString(){
	return content.toString();
    }
}
